"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntime = exports.platformIsValid = exports.supportedPlatforms = void 0;
exports.supportedPlatforms = [
    'node',
    'bun',
    'deno',
];
const platformIsValid = (platform) => {
    if (typeof platform === 'string' &&
        exports.supportedPlatforms.some((supportedPlatform) => supportedPlatform === platform))
        return true;
    return false;
};
exports.platformIsValid = platformIsValid;
const getRuntime = (configs) => {
    if ((configs === null || configs === void 0 ? void 0 : configs.platform) && (0, exports.platformIsValid)(configs.platform))
        return configs.platform;
    if (typeof Deno !== 'undefined')
        return 'deno';
    if (typeof Bun !== 'undefined')
        return 'bun';
    return 'node';
};
exports.getRuntime = getRuntime;
