"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runner = void 0;
const node_path_1 = __importDefault(require("path"));
const get_runtime_js_1 = require("./get-runtime.js");
const runner = (filename, configs) => {
    const runtime = (0, get_runtime_js_1.getRuntime)(configs);
    if (runtime === 'bun')
        return ['bun'];
    if (runtime === 'deno')
        return ['deno', 'run', '--allow-read', '--allow-env', '--allow-run'];
    return node_path_1.default.extname(filename) === '.ts' ? ['tsx'] : ['node'];
};
exports.runner = runner;
