"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.exit = void 0;
const node_process_1 = __importDefault(require("process"));
const node_os_1 = require("os");
const hr_js_1 = require("../helpers/hr.js");
const exit = (code, quiet) => {
    !quiet &&
        node_process_1.default.on('exit', (code) => {
            console.log(`Exited with code`, code, node_os_1.EOL);
        });
    !quiet && (0, hr_js_1.hr)();
    if (code !== 0) {
        !quiet && console.log('Some tests failed.');
        node_process_1.default.exit(1);
    }
    !quiet && console.log('All tests passed.');
    node_process_1.default.exit(0);
};
exports.exit = exit;
node_process_1.default.stdout.on('resize', hr_js_1.hr);
node_process_1.default.on('unhandledRejection', (reason) => {
    console.log('unhandledRejection', reason);
    node_process_1.default.exit(1);
});
node_process_1.default.on('uncaughtException', (err) => {
    console.log('uncaughtException', err);
    node_process_1.default.exit(1);
});
