"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.publicListFiles = exports.listFiles = exports.escapeRegExp = void 0;
const node_process_1 = __importDefault(require("process"));
const node_fs_1 = __importDefault(require("fs"));
const node_path_1 = __importDefault(require("path"));
const escapeRegExp = (string) => string.replace(/[.*+?^${}()[\]\\]/g, '\\$&');
exports.escapeRegExp = escapeRegExp;
const envFilter = ((_a = node_process_1.default.env.FILTER) === null || _a === void 0 ? void 0 : _a.trim())
    ? new RegExp((0, exports.escapeRegExp)(node_process_1.default.env.FILTER), 'i')
    : null;
const listFiles = (dirPath, files = [], configs) => {
    const currentFiles = node_fs_1.default.readdirSync(dirPath);
    const defaultRegExp = /\.test\./i;
    const filter = (envFilter
        ? envFilter
        : (configs === null || configs === void 0 ? void 0 : configs.filter) instanceof RegExp
            ? configs.filter
            : defaultRegExp) || defaultRegExp;
    const exclude = (configs === null || configs === void 0 ? void 0 : configs.exclude)
        ? Array.isArray(configs.exclude)
            ? configs.exclude
            : [configs.exclude]
        : undefined;
    for (const file of currentFiles) {
        const fullPath = node_path_1.default.join(dirPath, file);
        if (exclude && exclude.some((regex) => regex.test(fullPath)))
            continue;
        if (node_fs_1.default.statSync(fullPath).isDirectory())
            (0, exports.listFiles)(fullPath, files, configs);
        else if (filter.test(fullPath))
            files.push(fullPath);
    }
    return files;
};
exports.listFiles = listFiles;
const publicListFiles = (targetDir, configs) => (0, exports.listFiles)(targetDir, [], configs);
exports.publicListFiles = publicListFiles;
